<template>
  <form @submit.prevent="sendForm">
    <input type="text" v-model="title" placeholder="Name">
    <input type="number" step="0.01" v-model="price" placeholder="Preis">
    <input type="url" v-model="imageUrl" placeholder="IMage url">
    <textarea v-model="description" placeholder="Beschreibung"></textarea>
    <button type="submit">Absenden</button>
  </form>
</template>

<script setup>
import {ref, watch} from "vue";

const props = defineProps({
  product: Object
})

const emit = defineEmits(['save'])

const title = ref('')
const price = ref('')
const imageUrl = ref('')
const description = ref('')

function sendForm() {
  emit('save', {
    title: title.value,
    price: price.value,
    imageUrl: imageUrl.value,
    description: description.value
  })
}

watch(() => props.product, () => {
  if(!props.product) {
    return
  }
  title.value = props.product.title
  price.value = props.product.price
  imageUrl.value = props.product.imageUrl
  description.value = props.product.description
}, {immediate: true})
</script>
